# -*- coding: utf-8 -*-
from setuphelpers import *
import pythoncom
import time

# Defining variables
task_name = "WAPTupgradeAtLogon"


def install():
    # Creating the scheduled task
    if task_exists(task_name):
        delete_task(task_name)
    try:
        run(fr'schtasks.exe /create /tn {task_name} /ru SYSTEM /xml test-upgrade-at-logon.xml /f')
        print("Creating the scheduled task: %s" % task_name)
    except:
        print("Unable to create the scheduled task: %s" % task_name)


def uninstall():
    # Removing the scheduled task
    if task_exists(task_name):
        try:
            delete_task(task_name)
        except:
            print("Unable to disable the scheduled task: %s" % task_name)


def audit():
    if not task_exists(task_name):
        print("task %s don't exist, WAPT is installing package to fix that" % task_name)
        install()
        return "WARNING"
    if not enable_task(task_name):
        print("task %s is disable, WAPT is going to enable the task" % task_name)
        enable_task(task_name)
        return "WARNING"
    else:
        print("task %s exist and is active" % task_name)
        return "OK"
